require conf/machine/include/netmodule-am64xx-k3.inc

KERNEL_DEVICETREE = " \
    ti/k3-am642-netmodule-hw34.dtb \
"

UBOOT_MACHINE = "am64x_netmodule_hw34_a53_defconfig"

KERNEL_CONSOLE = "ttyS2"
SERIAL_CONSOLES = "115200;ttyS2"


APPEND += "console=ttyS2,115200"

MACHINE_ESSENTIAL_EXTRA_RDEPENDS:append = " udev-gemini"
MACHINE_EXTRA_RDEPENDS:append = " prueth-fw-am65x-sr2 linux-firmware-ath10k linux-firmware-ath11k linux-firmware-qca kernel-modules"

